VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Static Public Member Functions | Public Attributes | List of all members
ValueCalls Struct Reference

## Public Types
using | Call = std::function< void(IValue &)>

## Static Public Member Functions
static ValueCalls | onPerformEdit (Call &&call)
static ValueCalls | onEndEdit (Call &&call)
static ValueCalls | onAction (Call &&call)

## Public Attributes
Call | onBeginEditCall
Call | onPerformEditCall
Call | onEndEditCall
Call | onStateChangeCall

## Member Typedef Documentation

using Call = std::function<void (IValue&)>

## Member Function Documentation

static ValueCalls onAction | ( | Call && | call | ) |
| inline static

static ValueCalls onEndEdit | ( | Call && | call | ) |
| inline static

static ValueCalls onPerformEdit | ( | Call && | call | ) |
| inline static

## Member Data Documentation

Call onBeginEditCall

Call onEndEditCall

Call onPerformEditCall

Call onStateChangeCall

The documentation for this struct was generated from the following file:

- modelbinding.h